# Plutonium framework API: Plutonium/include/pu/sdl2/sdl2_Types.hpp File Reference

sdl2_Types.hpp File Reference
`#include <SDL2/SDL.h>`
`#include <SDL2/SDL2_gfxPrimitives.h>`
`#include <SDL2/SDL_image.h>`
`#include <SDL2/SDL_mixer.h>`
`#include <pu/sdl2/sdl2_CustomTtf.h>`

Go to the source code of this file.

## Namespaces

namespace | pu
namespace | pu::sdl2

## Typedefs

using | pu::sdl2::Texture = SDL_Texture *
using | pu::sdl2::Window = SDL_Window *
using | pu::sdl2::Renderer = SDL_Renderer *
using | pu::sdl2::Font = TTF_Font *
using | pu::sdl2::Surface = SDL_Surface *